import javax.persistence.*;
import java.util.*;

@Entity
public class NaturalPerson extends Person {

    private String ext1;
    public Collection<NaturalPerson> children;

    public NaturalPerson() {
    }

    public String getExt1() {
        return ext1;
    } 

    public void setExt1(String v) {
        ext1 = v;
    }

    @ManyToMany(fetch=FetchType.EAGER, cascade=CascadeType.ALL)
    @JoinTable(name="PARENT_CHILDREN",
               joinColumns=@JoinColumn(name="P_ID1",  referencedColumnName="PK1"),
               inverseJoinColumns=@JoinColumn(name="C_ID1", referencedColumnName="PK1"))
    public Collection<NaturalPerson> getChildren() {
        return children;
    }

    public void setChildren(Collection<NaturalPerson> children) {
        this.children = children;
    }

    public String toString() {
        return "NaturalPerson(name=" + this.getName() + 
               ", ext1=" + ext1 + 
               ")";
    }

}
